io.vertx.config.spi

## Interface ConfigProcessor

- All Known Implementing Classes:
    HoconProcessor, YamlProcessor

      public interface ConfigProcessor

  A processor transforms a chunk of configuration retrieved from a configuration store as a `Buffer` to a `JsonObject`.
  Author:
    Clement Escoffier

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `name()` Name of the processor, generally the name of the format it handles.
    `default Future<JsonObject>` | `process(Vertx vertx, JsonObject configuration, Buffer input)` Transforms the given `input` into a `JsonObject`.
    `default void` | `process(Vertx vertx, JsonObject configuration, Buffer input, Handler<AsyncResult<JsonObject>> handler)` Deprecated. implement `process(Vertx, JsonObject, Buffer)` instead

- - ### Method Detail

    - #### name

          String name()

      Name of the processor, generally the name of the format it handles.
      Returns:
        the name

    - #### process

          @Deprecated
          default void process(Vertx vertx,
                                           JsonObject configuration,
                                           Buffer input,
                                           Handler<AsyncResult<JsonObject>> handler)

      Deprecated. implement `process(Vertx, JsonObject, Buffer)` instead
      Transforms the given `input` into a `JsonObject`. This is an asynchronous non-blocking transformation. The result is passed to the given `Handler`. If the transformation fails, the passed `AsyncResult` would be marked as failed. On success, the result contains the `JsonObject`.
      Parameters:
        `vertx` - the Vert.x instance
        `configuration` - the processor configuration, may be `null`
        `input` - the input, must not be `null`
        `handler` - the result handler, must not be `null`. The handler will be called in the same context as the caller.

    - #### process

          default Future<JsonObject> process(Vertx vertx,
                                             JsonObject configuration,
                                             Buffer input)

      Transforms the given `input` into a `JsonObject`.

      This is an asynchronous non-blocking transformation.

      Parameters:
        `vertx` - the Vert.x instance
        `configuration` - the processor configuration, may be `null`
        `input` - the input, must not be `null`

Copyright © 2020 Eclipse. All rights reserved.